Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::FDev Interface Reference

`import "AVStreams.idl";`

List of all members.

## Public Methods
FlowProducer | create_producer (in FlowConnection the_requester, inout AVStreams::QoS the_qos, out boolean met_qos, inout string named_fdev) raises (AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::notSupported, AVStreams::QoSRequestFailed)
FlowConsumer | create_consumer (in FlowConnection the_requester, inout AVStreams::QoS the_qos, out boolean met_qos, inout string named_fdev) raises (AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::notSupported, AVStreams::QoSRequestFailed)
FlowConnection | bind (in FDev peer_device, inout AVStreams::QoS the_qos, out boolean is_met) raises (AVStreams::streamOpFailed, AVStreams::QoSRequestFailed)
FlowConnection | bind_mcast (in FDev first_peer, inout AVStreams::QoS the_qos, out boolean is_met) raises (AVStreams::streamOpFailed, AVStreams::QoSRequestFailed)
void | destroy (in FlowEndPoint the_ep, in string fdev_name) raises (AVStreams::notSupported)

## Member Function Documentation

FlowConnection AVStreams::FDev::bind | ( | in FDev | peer_device,
|  | inout AVStreams::QoS | the_qos,
|  | out boolean | is_met
| ) | raises (AVStreams::streamOpFailed, AVStreams::QoSRequestFailed)

FlowConnection AVStreams::FDev::bind_mcast | ( | in FDev | first_peer,
|  | inout AVStreams::QoS | the_qos,
|  | out boolean | is_met
| ) | raises (AVStreams::streamOpFailed, AVStreams::QoSRequestFailed)

FlowConsumer AVStreams::FDev::create_consumer | ( | in FlowConnection | the_requester,
|  | inout AVStreams::QoS | the_qos,
|  | out boolean | met_qos,
|  | inout string | named_fdev
| ) | raises (AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::notSupported, AVStreams::QoSRequestFailed)

FlowProducer AVStreams::FDev::create_producer | ( | in FlowConnection | the_requester,
|  | inout AVStreams::QoS | the_qos,
|  | out boolean | met_qos,
|  | inout string | named_fdev
| ) | raises (AVStreams::streamOpFailed, AVStreams::streamOpDenied, AVStreams::notSupported, AVStreams::QoSRequestFailed)

void AVStreams::FDev::destroy | ( | in FlowEndPoint | the_ep,
|  | in string | fdev_name
| ) | raises (AVStreams::notSupported)

The documentation for this interface was generated from the following file:

- AVStreams.idl